Bug 214115 - alsamixer not working with snd_hda_intel
Summary: alsamixer not working with snd_hda_intel
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-utils   
(Show other bugs)
Version: 6
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-05 20:43 UTC by Serge Droz
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-14 11:04:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Compiler errors whn instaling alsa driver 1.0.13 (15.45 KB, text/plain)
2006-11-10 17:08 UTC, Serge Droz
no flags Details

Description Serge Droz 2006-11-05 20:43:07 UTC
Description of problem:

alsamixer does not function properly with the snd_hda_intel module:
> alsamixer

alsamixer: function snd_mixer_load failed: Invalid argument

Hardware: 00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio
Controller (rev 02) on a Dell Dimension 9200

Version-Release number of selected component (if applicable):

Advanced Linux Sound Architecture Driver Version 1.0.12rc1 (Thu Jun 22 13:55:50
2006 UTC).

Other than that it's a normal fc6 setup, all updates installed

How reproducible:

alsamixer

Steps to Reproduce:
1.
2.
3.
  
Actual results:

alsamixer: function snd_mixer_load failed: Invalid argument

Expected results:

The mixer
Additional info:

Sound does work. kmix reports SigmaTel STAC9227

Comment 1 Trond Danielsen 2006-11-07 11:17:52 UTC
I can confirm this error. My hardware is 
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2),
but the driver is the same.

According to this http://forums.fedoraforum.org/showthread.php?t=134437 it
should be fixed in alsa 1.0.13.

Comment 2 Martin Stransky 2006-11-09 14:57:52 UTC
You can check the ALSA 1.0.13, how-to is here:

http://people.redhat.com/stransky/alsa/

Comment 3 rizo83 2006-11-09 20:40:55 UTC
I get the same compilation errors with the provided alsa-driver-1.0.13.tar.bz2
from http://people.redhat.com/stransky/alsa/ that I get when trying from
alsa-project.org source.

Audio was working for me in fc5 with the use of alsa-1.0.12rc2 and appending
model=uniwill-m31 for snd-hda-intel module.

Comment 4 rizo83 2006-11-09 20:44:09 UTC
forgot to add that I got it working in FC5 with help from the following link
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=2035

Comment 5 rizo83 2006-11-09 21:29:48 UTC
The rpms from atrpms.net give me working audio so long as I still use
model=uniwill-m31 for the snd-hda-intel module but I have no control over the
output volume in alsamixer or gnome volume applet :(

Comment 6 Serge Droz 2006-11-10 17:08:26 UTC
Created attachment 140910 [details]
Compiler errors whn instaling alsa driver 1.0.13

Comment 7 Serge Droz 2006-11-10 17:37:46 UTC
The same as in comment #3 ...


Comment 8 Serge Droz 2006-11-12 17:59:49 UTC
The atrpms, available at
http://atrpms.net/dist/fc6/alsa-driver/
do solve the problem. 

So, 1.0.13 does seem to support the chip much better.



Comment 9 Martin Stransky 2006-12-14 11:04:57 UTC
Or you can compile them, how-to is here:

http://people.redhat.com/stransky/alsa/

Comment 10 Serge Droz 2006-12-16 11:21:46 UTC
The new RPMs on http://people.redhat.com/stransky/alsa/ compile and install fine.
However the error persists. 

Installing the kernel modules from ATrpms solves this problem, (with the above
RPMSs), so maybe we have to wait for the next kernel update?

Any other ideas?

Thanks
Serge


Comment 11 Serge Droz 2007-02-13 21:13:32 UTC
Just for completeness sake:
alsa-lib,alsautils 1.0.13 are working fine with the lates kernel, i.e.
2.6.19-1.2895.fc6

Thanks for the support in any case.



Note You need to log in before you can comment on or make changes to this bug.